
% working environment for shared sketch experiments -- testing phase
disp('testing...');
posFolder = 'headShoulder_pos85_127';  % folder of positive testing images
negFolder = 'headShoulder_neg85_127'; % folder of negative testing images
modelFolder = 'activeBasis_headShoulder'; % folder that contains trained model file 'model.mat'

% mex -g CtestEstep.c;   % compile C code
% Begin testing:
tssPos = ABtest_one(modelFolder,posFolder,[]); % scores on test positives
tssNeg = ABtest_one(modelFolder,negFolder,[]); % scores on test negatives

% Draw ROC curve and calculate AUC
allScore = [tssPos;tssNeg]; % scores of all test images
gt = [ones(size(tssPos,1),1);-1*ones(size(tssNeg,1),1)]; % ground truth of all test images
testAUC = calc_auc(allScore,gt); % obtain ROC curve by comparing predicted scores and ground truth
[tp, fp] = roc(gt,allScore); % true positive and false postive rate
h=figure;getROCfig(fp,tp,'-',sprintf('AUC = %.3f',testAUC)); % display ROC figure
saveas(h,[modelFolder '/testROC.eps']);
save([modelFolder '\tss.mat'],'tssPos','tssNeg','tp','fp','testAUC');