function im = displayImagesAndSketches(images, Asyms, ncol,bx,by)
% display a set of images of the same size (bx,by)
n = length(images);
nrow = ceil(n/ncol);
widthMargin = 5;
width = by*ncol*2 + (2*ncol-1)*widthMargin;
heightMargin = 5;
height = bx*nrow + (2*nrow-1)*heightMargin;
im = 255-zeros(height, width);
for i=1:n
    row = ceil(i/ncol);
    col = i-(row-1)*ncol;
    startx = (row-1)*(bx+heightMargin);
    starty = (2*col-2)*(by+widthMargin);
    towrite = imresize(double(images{i}),[bx,by]);
    towrite = uint8(255 * (towrite-min(towrite(:)))/(max(towrite(:))-min(towrite(:))));
    im((startx+1):(startx+bx),(starty+1):(starty+by)) = towrite;

    starty = (2*col-1)*(by+widthMargin);
    towrite = imresize(double(Asyms{i}),[bx,by]);
    towrite = uint8(255 * (towrite-min(towrite(:)))/(max(towrite(:))-min(towrite(:))));
    im((startx+1):(startx+bx),(starty+1):(starty+by)) = 255-towrite;

end
im = uint8(im);